PHP言語初心者です。どなたかご教授お願いします。

XAMPP1.01 for mac os xでphp_apc.dllをインストールしたいのですが、その方法が分かりません。
php.iniには、;extension=php_apc.dllの記述がないので;を外して、php_apc.dllを有効にすることができません。

どのようにすれば、php_apc.dllを使うようにできるでしょうか。
どなたか分かりやすく教えていただければ幸いです。

回答の条件
  • 1人5回まで
  • 登録:2009/07/11 09:50:54
  • 終了:2009/07/14 15:36:08

ベストアンサー

id:pahoo No.1

pahoo回答回数5960ベストアンサー獲得回数6332009/07/11 10:08:30

ポイント60pt

php_apc.dll は Windows用の拡張ライブラリです。そのままでは、Mac版PHPにインストールすることはできません。


MacOS X では、PECLモジュールとして

pecl install APC

のようにして APC をインストールするのですが、XAMPP1.01 for mac os x で PECL が利用できるのかどうかは確認できていません。

id:gbs01

なるほど。php_apc.dllはMacにはインストールできないのですね。ありがとうございます。

pecl install APC を試してみたのですが、

pecl: command not found

となってしまいました。

2009/07/11 11:10:18
  • id:kn1967
    dllって事はWindows用ではありませんか?
    Mac用のバイナリはまだ無いと思うんだけど・・・。
  • id:gbs01
    コメントありがとうございます。
  • id:kn1967
    Mac使いのpahoo氏が回答なさっているので、
    補足を待って見たのですが2日経っても追記が無い様なので、
    何かの足しにでもと思いコメントいたします。

    (考えられる原因1)パスが通っていない。
      /Applications/XAMPP/xamppfiles/bin/pecl
    もしくは
      /usr/local/bin/pecl
    (考えられる原因2)実行権限が無い
      sudo pecl install APC

    以上、確認してみてください。

    (余談)
    php+MySQLなら xampp よりも mamp のほうが合ってるかも・・・。
  • id:gbs01
    コメントありがとうございます。

この質問への反応(ブックマークコメント)

「あの人に答えてほしい」「この質問はあの人が答えられそう」というときに、回答リクエストを送ってみてましょう。

これ以上回答リクエストを送信することはできません。制限について

絞り込み :
はてなココの「ともだち」を表示します。
回答リクエストを送信したユーザーはいません